
# example-projects

### Add layer in a Yocto project

```
bitbake-layers add-layer /path/to/meta-helloworld
```

Then add this to `build/conf/local.conf`:
```sh
IMAGE_INSTALL:append = " helloworld-c-make"
IMAGE_INSTALL:append = " helloworld-cpp-cmake"
IMAGE_INSTALL:append = " helloworld-rs"
```

### Add/create recipes in a Yocto projectV

```
devtool add helloworld-c-make git@bitbucket.org:dol-sensors/example-projects.git --srcbranch main --src-subdir helloworld-c-make

devtool add helloworld-cpp-cmake git@bitbucket.org:dol-sensors/example-projects.git --srcbranch main --src-subdir helloworld-cpp-cmake

devtool add helloworld-rs git@bitbucket.org:dol-sensors/example-projects.git --srcbranch main --src-subdir helloworld-rs
```

